Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.javascript
Class WrappedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.mozilla.javascript.RhinoException
                      org.mozilla.javascript.EvaluatorException
                          org.mozilla.javascript.WrappedException

All Implemented Interfaces:
  java.io.Serializable

    public class WrappedException

extends EvaluatorException

A wrapper for runtime exceptions. Used by the JavaScript runtime to wrap and propagate exceptions that occur during runtime.

Author:
  Norris Boyd
See Also:
  Serialized Form

Constructor Summary
`WrappedException(java.lang.Throwable exception)`

Method Summary
`java.lang.Throwable` | `getWrappedException()` Get the wrapped exception.
`java.lang.Object` | `unwrap()` Deprecated. Use `getWrappedException()` instead.

Methods inherited from class org.mozilla.javascript.EvaluatorException
`getColumnNumber, getLineNumber, getLineSource, getSourceName`

Methods inherited from class org.mozilla.javascript.RhinoException
`columnNumber, details, getMessage, getScriptStackTrace, getScriptStackTrace, initColumnNumber, initLineNumber, initLineSource, initSourceName, lineNumber, lineSource, printStackTrace, printStackTrace, sourceName`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrappedException

    public WrappedException(java.lang.Throwable exception)

See Also:
  `Context.throwAsScriptRuntimeEx(Throwable e)`

Method Detail

### getWrappedException

    public java.lang.Throwable getWrappedException()

  Get the wrapped exception.

  Returns:
    the exception that was presented as a argument to the constructor when this object was created

### unwrap

    public java.lang.Object unwrap()

  Deprecated. Use `getWrappedException()` instead.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD